Link social identities via PING

Links a social provider account with an existing Account using the Access Token and the social provider's User Access Token.

POST
/identity/v2/auth/socialidentity/ping

Links a social provider account with an existing Account using the Access Token and the social provider's User Access Token.

Authorization

BearerToken APIKey
AuthorizationBearer <token>

Bearer token for user authentication

In: header

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

access_token?string

Access Token of the User

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body?Link social identity with gUID

Structure of the request body to link social identity

Response Body

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/identity/v2/auth/socialidentity/ping?access_token=493318dd-487a-439b-8302-5e27f1110244" \  -H "Content-Type: application/json" \  -d '{}'
{
  "IsPosted": true
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The apikey is a required parameter."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}